SDL_HitTest(3type)

NAME
SDL_HitTest - Callback used for hit-testing.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef SDL_HitTestResult (SDLCALL *SDL_HitTest)(SDL_Window *win, const SDL_Point *area, void *data);

FUNCTION PARAMETERS

win the SDL_Window
     where hit-testing was set on.

area
    an SDL_Point
     which should be hit-tested.

data
    what was passed as callback_data to SDL_SetWindowHitTest ().

RETURN VALUE
Returns an SDL_HitTestResult
 value.

SEE ALSO
•(3), SDL_SetWindowHitTest(3)